Bug 1679596 - perl-MojoX-JSON-RPC-0.11-2.fc30 FTBFS: Plugin "PODRenderer" missing
Summary: perl-MojoX-JSON-RPC-0.11-2.fc30 FTBFS: Plugin "PODRenderer" missing
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-MojoX-JSON-RPC
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-21 14:06 UTC by Petr Pisar
Modified: 2019-03-29 19:17 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-03-29 19:17:12 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CPAN 128542 None None None 2019-02-21 14:06 UTC

Description Petr Pisar 2019-02-21 14:06:25 UTC
perl-MojoX-JSON-RPC-0.11-2.fc30 fails to build in F30 because tests fail this:

BUILDSTDERR: Plugin "PODRenderer" missing, maybe you need to install it?
BUILDSTDERR: # Looks like your test exited with 2 before it could output anything.
t/exception.t .. 
Dubious, test returned 2 (wstat 512, 0x200)
Failed 3/3 subtests 

This is triggered by upgrading perl-Mojolicious from 8.11-1.fc30 to 8.12-1.fc30 that removed the deprecated PODRenderer plugin. From Mojolicious' changelog:

Changes for version 8.12 - 2019-01-27
    [...]
    Removed deprecated module Mojolicious::Plugin::PODRenderer.

Comment 1 Fedora Update System 2019-03-17 11:19:37 UTC
perl-MojoX-JSON-RPC-0.11-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7f7d4d7528

Comment 2 Fedora Update System 2019-03-17 20:59:26 UTC
perl-MojoX-JSON-RPC-0.11-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7f7d4d7528

Comment 3 Fedora Update System 2019-03-29 19:17:12 UTC
perl-MojoX-JSON-RPC-0.11-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.